Bug 549023 - RFE: Would like option to have bluetooth be always on (like it used to be)
RFE: Would like option to have bluetooth be always on (like it used to be)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-19 19:10 EST by Erling Jacobsen
Modified: 2010-12-03 20:28 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 20:28:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erling Jacobsen 2009-12-19 19:10:41 EST
Description of problem:
Bluetooth is off, until manually switched on. This means no bluetooth in the
login screen, and it used to be always-on. Why has this been completely disabled ?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Having to manually switch bluetooth on

Expected results:
Bluetooth is on, so I can just turn on my bluetooth mouse, and it'll work.

Additional info:
I realise that others may not want this behaviour, but it should at least be an
option, I think.
Comment 1 Aaron Lu 2010-01-23 05:38:58 EST
I've the exact opposite problem under fedora 12. 
My bluetooth is always on and I want it default off unless I explicitly turned it on.
This really needs an option.
Comment 2 Ankur Sinha (FranciscoD) 2010-02-03 13:46:07 EST
hi,

same here, a checkbox saying "enable on boot" would be nice. 

Ankur
Comment 3 Aaron Lu 2010-05-01 04:56:33 EDT
After browsing the kernel source, I find a solution to disable bluetooth on every boot while still being able to turn it on by gnome bluetooth applet when needed:
sudo echo "options rfkill master_switch_mode=0" > /etc/modprobe.d/rfkill.conf

For those who want the bluetooth always on, change the value to 2 should do the work.
Comment 4 Bug Zapper 2010-11-03 22:59:17 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 20:28:18 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.